### Enumeration

# EDataServer OAuth2ServiceError

since: 3.60.2

#### Declaration

    error-domain EDataServer.OAuth2ServiceError

#### Description [src]

Error codes for `EOAuth2Service` operations.

Available since: 3.60.2

#### Members

`E_OAUTH2_SERVICE_ERROR_FAILED`

  A generic error.

  - Value: `0`
  - Available since: 3.60.2
`E_OAUTH2_SERVICE_ERROR_INVALID_SOURCE`

  The `ESource` is not valid for the OAuth2 service.

  - Value: `1`
  - Available since: 3.60.2
`E_OAUTH2_SERVICE_ERROR_SECRET_NOT_FOUND`

  The OAuth2 secret was not found in the keyring.

  - Value: `2`
  - Available since: 3.60.2
`E_OAUTH2_SERVICE_ERROR_INVALID_RESPONSE`

  The server returned a malformed or unexpected response.

  - Value: `3`
  - Available since: 3.60.2
`E_OAUTH2_SERVICE_ERROR_TOKEN_EXPIRED`

  The access token expired and could not be refreshed.

  - Value: `4`
  - Available since: 3.60.2
`E_OAUTH2_SERVICE_ERROR_REFRESH_FAILED`

  The server rejected the token refresh request.

  - Value: `5`
  - Available since: 3.60.2